L'API Display & Video 360 ora supporta la gestione delle risorse Demand Gen. Consulta la nostra nuova guida per scoprire come creare e pubblicare una campagna pubblicitaria Demand Gen.
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: advertisers.insertionOrders.targetingTypes.assignedTargetingOptions.list
Mantieni tutto organizzato con le raccolte
Salva e classifica i contenuti in base alle tue preferenze.
Elenca le opzioni di targeting assegnate a un ordine di inserzione.
Richiesta HTTP
GET https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/insertionOrders/{insertionOrderId}/targetingTypes/{targetingType}/assignedTargetingOptions
Obbligatorio. Identifica il tipo di opzioni di targeting assegnate da elencare.
I tipi di targeting supportati includono:
TARGETING_TYPE_AGE_RANGE
TARGETING_TYPE_APP
TARGETING_TYPE_APP_CATEGORY
TARGETING_TYPE_AUDIENCE_GROUP
TARGETING_TYPE_AUDIO_CONTENT_TYPE
TARGETING_TYPE_AUTHORIZED_SELLER_STATUS
TARGETING_TYPE_BROWSER
TARGETING_TYPE_BUSINESS_CHAIN
TARGETING_TYPE_CARRIER_AND_ISP
TARGETING_TYPE_CATEGORY
TARGETING_TYPE_CHANNEL
TARGETING_TYPE_CONTENT_DURATION
TARGETING_TYPE_CONTENT_GENRE
TARGETING_TYPE_CONTENT_INSTREAM_POSITION
TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION
TARGETING_TYPE_CONTENT_STREAM_TYPE
TARGETING_TYPE_DAY_AND_TIME
TARGETING_TYPE_DEVICE_MAKE_MODEL
TARGETING_TYPE_DEVICE_TYPE
TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION
TARGETING_TYPE_ENVIRONMENT
TARGETING_TYPE_EXCHANGE
TARGETING_TYPE_GENDER
TARGETING_TYPE_GEO_REGION
TARGETING_TYPE_HOUSEHOLD_INCOME
TARGETING_TYPE_INVENTORY_SOURCE
TARGETING_TYPE_INVENTORY_SOURCE_GROUP
TARGETING_TYPE_KEYWORD
TARGETING_TYPE_LANGUAGE
TARGETING_TYPE_NATIVE_CONTENT_POSITION
TARGETING_TYPE_NEGATIVE_KEYWORD_LIST
TARGETING_TYPE_OMID
TARGETING_TYPE_ON_SCREEN_POSITION
TARGETING_TYPE_OPERATING_SYSTEM
TARGETING_TYPE_PARENTAL_STATUS
TARGETING_TYPE_POI
TARGETING_TYPE_PROXIMITY_LOCATION_LIST
TARGETING_TYPE_REGIONAL_LOCATION_LIST
TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION
TARGETING_TYPE_SUB_EXCHANGE
TARGETING_TYPE_THIRD_PARTY_VERIFIER
TARGETING_TYPE_URL
TARGETING_TYPE_USER_REWARDED_CONTENT
TARGETING_TYPE_VIDEO_PLAYER_SIZE
TARGETING_TYPE_VIEWABILITY
Parametri di query
Parametri
pageSize
integer
Dimensioni della pagina richiesta. Il valore deve essere compreso tra 1 e 5000. Se non specificato, il valore predefinito è 100. Restituisce il codice di errore INVALID_ARGUMENT se viene specificato un valore non valido.
pageToken
string
Un token che identifica una pagina di risultati che il server deve restituire. In genere, questo è il valore di nextPageToken restituito dalla chiamata precedente al metodo assignedTargetingOptions.list. Se non specificato, verrà restituita la prima pagina dei risultati.
orderBy
string
Campo in base al quale ordinare l'elenco. I valori accettabili sono:
assignedTargetingOptionId (valore predefinito)
L'ordinamento predefinito è crescente. Per specificare l'ordine decrescente per un campo, al nome del campo deve essere aggiunto il suffisso "desc". Esempio: assignedTargetingOptionId desc.
filter
string
Consente il filtraggio in base ai campi delle opzioni di targeting assegnate.
Sintassi supportata:
Le espressioni di filtro sono costituite da una o più limitazioni.
Le limitazioni possono essere combinate mediante l'operatore logico OR.
Una limitazione ha la forma di {field} {operator} {value}.
Tutti i campi devono utilizzare l'operatore EQUALS (=).
Campi supportati:
assignedTargetingOptionId
inheritance
Esempi:
AssignedTargetingOption risorse con ID 1 o 2: assignedTargetingOptionId="1" OR assignedTargetingOptionId="2"
AssignedTargetingOption risorse con stato di ereditarietà NOT_INHERITED o INHERITED_FROM_PARTNER: inheritance="NOT_INHERITED" OR inheritance="INHERITED_FROM_PARTNER"
La lunghezza di questo campo non deve superare i 500 caratteri.
Un token che identifica la pagina successiva dei risultati. Questo valore deve essere specificato come pageToken in un successivo ListInsertionOrderAssignedTargetingOptionsRequest per recuperare la pagina successiva dei risultati. Questo token non sarà presente se non ci sono altri assignedTargetingOptions da restituire.
[[["Facile da capire","easyToUnderstand","thumb-up"],["Il problema è stato risolto","solvedMyProblem","thumb-up"],["Altra","otherUp","thumb-up"]],[["Mancano le informazioni di cui ho bisogno","missingTheInformationINeed","thumb-down"],["Troppo complicato/troppi passaggi","tooComplicatedTooManySteps","thumb-down"],["Obsoleti","outOfDate","thumb-down"],["Problema di traduzione","translationIssue","thumb-down"],["Problema relativo a esempi/codice","samplesCodeIssue","thumb-down"],["Altra","otherDown","thumb-down"]],["Ultimo aggiornamento 2025-10-08 UTC."],[],["This API endpoint retrieves assigned targeting options for a specific insertion order within an advertiser's account. It uses a `GET` request with path parameters for `advertiserId`, `insertionOrderId`, and `targetingType`. Query parameters include `pageSize`, `pageToken`, `orderBy`, and `filter` to manage the results. The response body returns an array of `assignedTargetingOptions` and a `nextPageToken` for pagination. The request body should be empty, and the request requires the `https://www.googleapis.com/auth/display-video` authorization scope.\n"]]